[
{
    blockid=proxy;
    help=service_http_proxy_proxy;
    localvar={
        .adminproxy.text="\u7ba1\u7406\u8005\u306e\u30d7\u30ed\u30ad\u30b7\u8a8d\u8a3c\u306e\u8a31\u53ef";
	.delimiter="$";
	.allow.help="(\u30c7\u30fc\u30e2\u30f3,\u30af\u30e9\u30a4\u30a2\u30f3\u30c8) \u306e\u30da\u30a2\u304c\u3001\u6b21\u306e\u8a31\u53ef\u30d5\u30a3\u30eb\u30bf\u306b\u4e00\u81f4\u3059\u308b\u3068\u3001\u30d7\u30ed\u30ad\u30b7\u8a8d\u8a3c\u304c\u4e0e\u3048\u3089\u308c\u307e\u3059\u3002";
	.allow.header="\u8a31\u53ef";
	.allow.title="\u8a31\u53ef\u30d5\u30a3\u30eb\u30bf\u30a8\u30f3\u30c8\u30ea";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    id=allowlabel;
	    text=$.allow.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=1;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=allowtable;
	    showedit=true;
	    buttonsat=east;
	    label=allowlabel;
	    visiblerows=5;
	    stdtable=true;
	    addui=allowdialog;
      addtext=$g.addbutton.text;
      edittext=$g.editbutton.text;
      deltext=$g.deletebutton.text;
	    editui=allowdialog;
	    addtitle=$.allow.title;
	    edittitle=$.allow.title;
	    val=$proxydomainallowed.value;
	    delimiter=$.delimiter;
	    constraint={
		gridx=0;
		gridy=2;
		weightx=1;
		weighty=1;
		fill=h;
		anchor=northwest;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.allow.header;
		    varname=allowrule;
		}
	    ]
	}
    ]
},
{
    blockid=allowdialog;
    help=service_http_proxy_allowdialog;
    localvar={
	.allowrule.help="\u8a31\u53ef\u30d5\u30a3\u30eb\u30bf:";
    };
    content=[
	{
	    ctrl=label;
	    text=$.allowrule.help;
	    wrap=$g.label.size3;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$allowrule;
	    validate=com.netscape.management.msgserv.util.ValidAccessFilter;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$g.example.httpaccess1;
		    wrap=$g.label.size3;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$g.example.httpaccess2;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
}
]
